import 'package:fff_info/excuse.dart';
import 'package:fff_info/main.dart';
import 'package:fff_info/settings.dart';
import 'package:fff_info/theme.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';

import 'photos.dart';
import 'i18n.dart';
import 'questions.dart';
import 'strikelist.dart';
import 'downloads.dart';

class ClimateDrawer extends StatefulWidget {
  @override
  _ClimateDrawerState createState() => _ClimateDrawerState();
}

class _ClimateDrawerState extends State<ClimateDrawer> {
  String _selectedTheme = 'global';

  @override
  Widget build(BuildContext context) {
    return Drawer(
      child: ListView(
        padding: EdgeInsets.zero,
        children: <Widget>[
          UserAccountsDrawerHeader(
            accountName: Text(
              "#FFF Info",
              style: Theme.of(context).textTheme.display2,
            ),
            accountEmail: Text(Internationalisation.of(context).translation("sfoc")),
            currentAccountPicture: Image.asset(
              "assets/launcher.png",
              semanticLabel: 'Fridays for future logo',
            ),
            decoration: BoxDecoration(color: Theme.of(context).primaryColor),
          ),
          ListTile(
            title: Text('Home'),
            leading: Icon(FontAwesomeIcons.home),
            onTap: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => HomePage()),
              );
            },
          ),
          ListTile(
            title: Text(Internationalisation.of(context).translation("list")),
            leading: Icon(FontAwesomeIcons.listAlt),
            onTap: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => StrikeListPage()),
              );
            },
          ),
          ListTile(
            title: Text('Pictures'),
            leading: Icon(FontAwesomeIcons.photoVideo),
            onTap: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => PhotoPage()),
              );
            },
          ),
          ListTile(
            title: Text('FAQ'),
            leading: Icon(FontAwesomeIcons.question),
            onTap: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => QuestionsPage()),
              );
            },
          ),
         ListTile(
            title: Text('Documents'),
            leading: Icon(FontAwesomeIcons.download),
            onTap: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => Downloads()),
              );
            },
          ),
          Tooltip(
            message: 'Still in development. Expect issues.',
            child: ListTile(
              title: Text('Excuse Generator'),
              leading: Icon(FontAwesomeIcons.paragraph),
              onTap: () {
                Navigator.push(
                  context,
                  MaterialPageRoute(builder: (context) => ExcusePage()),
                );
              },
            ),
          ),
          ListTile(
            title: Text('Settings'),
            leading: Icon(FontAwesomeIcons.slidersH),
            onTap: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => SettingsPage()),
              );
            },
          ),
        ],
      ),
    );
  }
}
